---
title: Initiate Payment
description: Point of Sale is a device that is used to process transactions by merchant.
---

# PUSH TO POS - Initiate Payment

POS : Point of Sale is a device that is used to process transactions by merchant. This API will initiate Payment Request on the POS Machine through merchant’s laptop or desktop if we pass the order id and amount of the payment.

## POST

```
https://kraken.airpay.co.in/airpay/ms/pos/api/create
```

## Parameter
| Field          | Type   | Required | Description                                                                                                                                                                                                |
| -------------- | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| mercid         | String | Yes      | Merchant ID (length 1-12)                                                                                                                                                                                  |
| orderid        | String | Yes      | Order ID (length 4-12)                                                                                                                                                                                     |
| amount         | Number | Yes      | Amount (length 12,2)<br>Not required in the case of save card.                                                                                                                                             |
| currency       | Number | Yes      | Numeric currency code eg: `356` (length 3)                                                                                                                                                                 |
| isocurrency    | String | Yes      | ISO Currency code eg: `INR` (length 3)                                                                                                                                                                     |
| customvar      | String | No       | Any information passed in the request, which can be received in the response exactly as it was sent.<br>Multiple values can be passed separated by `\|`.<br>Example: `1234567\|test\|ABC1234` (length 250) |
| uniqueid       | String | Yes      | Unique identifier with unique value (length 4-10)                                                                                                                                                          |
| mobile         | Number | No       | Mobile Number (length 10-15)                                                                                                                                                                               |
| buyerEmail     | String | No       | Buyer email ID                                                                                                                                                                                             |
| buyerPhone     | Number | No       | Mobile number (length 10-15)                                                                                                                                                                               |
| buyerFirstName | String | No       | Buyer first name                                                                                                                                                                                           |
| buyerLastName  | String | No       | Buyer last name                                                                                                                                                                                            |
| privatekey     | String | No       | Private Key                                                                                                                                                                                                |
| checksum       | String | No       | Calculated checksum                                                                                                                                                                                        |

## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/create' \
--header 'Content-Type: application/x-www-form-urlencoded' \
 --data-urlencode 'buyerEmail=xyz@yopmail.com' \
 --data-urlencode 'buyerPhone=9XXXXXX157' \
 --data-urlencode 'buyerFirstName=RAJESH' \
 --data-urlencode 'buyerLastName=BABU' \
 --data-urlencode 'amount=1.00' \
 --data-urlencode 'mobile=9XXXXXX157' \
 --data-urlencode 'orderid=100553' \
 --data-urlencode 'customvar=' \
 --data-urlencode 'privatekey=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
 --data-urlencode 'checksum=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
 --data-urlencode 'mercid=767807' \
 --data-urlencode 'currency=356' \
 --data-urlencode 'isocurrency=INR' \
 --data-urlencode 'uniqueid=011686'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Number | Status Code |
| message | String | Status Message<br>200 - Success<br>502 - Failed<br>100 - Merchant Id not valid<br>112 - Invalid Order id<br>113 - Amount not valid |
## Success-Response:

```
HTTP/1.1 200 OK
{
        "status": ​200​,
         "order_id": "100553",
          "message": "order created successfully"

}
```
## Error-Response:

```
{
    "status": 500,
    "message": []
}
```